## octave 3.2.3-maemo1

=== doc/Makefile ===
#
# Makefile for octave's doc directory
#
# John W. Eaton
# jwe@octave.org

TOPDIR = ..

srcdir = .
top_srcdir = ..
abs_top_srcdir = /home/simon/build/octave/octave/octave-3.2.3


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SOURCES =

DISTFILES = $(addprefix $(srcdir)/, Makefile.in ChangeLog conf.texi.in texinfo.tex)

SUBDIRS = faq interpreter liboctave refcard

DISTSUBDIRS = $(SUBDIRS)

all: conf.texi $(SUBDIRS)
.PHONY: all

conf.texi: conf.texi.in $(TOPDIR)/Makeconf
	@$(do-subst-texinfo-vals)

../BUGS ../INSTALL.OCTAVE:
	$(MAKE) -C interpreter ../$@
.PHONY: ../BUGS ../INSTALL.OCTAVE

$(SUBDIRS):
	$(MAKE) -C $@ all
.PHONY: $(SUBDIRS)

install install-strip uninstall clean mostlyclean distclean maintainer-clean::
	@$(subdir-for-command)
.PHONY: install install-strip uninstall
.PHONY: clean mostlyclean distclean maintainer-clean

tags TAGS:: $(SOURCES)
	$(SUBDIR_FOR_COMMAND)

tags::
	ctags $(SOURCES)

TAGS:: $(SOURCES)
	etags $(SOURCES)

distclean::
	rm -f Makefile

maintainer-clean::
	rm -f tags TAGS Makefile

dist:
	ln $(DISTFILES) ../`cat ../.fname`/doc
	for dir in $(DISTSUBDIRS); do mkdir ../`cat ../.fname`/doc/$$dir; $(MAKE) -C $$dir $@; done
.PHONY: dist

=== libcruft/Makefile ===
# Makefile for octave's libcruft directory
#
# Copyright (C) 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001,
#               2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ..

srcdir = .
top_srcdir = ..


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

# List of the directories that contain Fortran source.  Simply copying
# a new .f file into one of these directories is sufficient to have it
# added to $(LIBPRE)cruft.a.  If you add a new directory here, you also need
# generate a new configure script in the top-level directory (edit
# configure.in and run autoconf).

# Some of the directories in libcruft may be only optionally built,
# e.g. if they are already present on the system.  For these, their
# dirname is substituted by configure and may be the empty string.

CRUFT_DIRS = amos  blas-xtra daspk dasrt dassl \
	  lapack-xtra \
	misc odepack ordered-qz quadpack ranlib \
	slatec-err slatec-fn villad

SUBDIRS = $(CRUFT_DIRS)

DISTSUBDIRS = $(sort $(CRUFT_DIRS) blas fftpack lapack)

CLEAN_SUBDIRS = $(DISTSUBDIRS)

DISTFILES = Makefile.in ChangeLog Makerules.in $(SOURCES) \
	STOP.patch mkf77def.in

XTRA_CRUFT_SH_LDFLAGS = 
SH_LDFLAGS += $(XTRA_CRUFT_SH_LDFLAGS)

# Include BLAS and FFTW just in case some of libcruft depends on them
LINK_DEPS = $(BLAS_LIBS) $(FFTW_LIBS) $(FLIBS)

all: libraries
.PHONY: all

mkf77def: mkf77def.in $(TOPDIR)/Makeconf
	@$(do-subst-f77-mangling)
	chmod a+rx $@

$(SUBDIRS): mkf77def
	$(MAKE) -C $@ all
.PHONY: $(SUBDIRS)

# FIXME -- this should build the shared library directly from
# a normal archive file (created from PIC code, though).

MISC_OBJ := misc/f77-extern.o misc/f77-fcn.o misc/lo-error.o \
  misc/quit.o misc/cquit.o

CRUFT_FSRC := $(foreach dir, $(SUBDIRS), $(wildcard $(srcdir)/$(dir)/*.f))
CRUFT_OBJ2 := $(patsubst $(srcdir)/%, %, $(CRUFT_FSRC))
CRUFT_OBJ1 := $(patsubst %.f, %.o, $(CRUFT_OBJ2))
CRUFT_OBJ := $(CRUFT_OBJ1) $(MISC_OBJ)
CRUFT_DEFS := $(patsubst %.f, %.def, $(CRUFT_OBJ2))

ifeq ($(SHARED_LIBS), true)
  ifdef FPICFLAG
    CRUFT_OBJ_DIR := $(dir $(CRUFT_OBJ))
    CRUFT_OBJ_PICDIR := $(addsuffix pic/, $(CRUFT_OBJ_DIR))
    CRUFT_OBJ_NOTDIR := $(notdir $(CRUFT_OBJ))
    CRUFT_PICOBJ := $(join $(CRUFT_OBJ_PICDIR), $(CRUFT_OBJ_NOTDIR))
  else
    CRUFT_PICOBJ := $(CRUFT_OBJ)
  endif
endif

ifeq ($(SHARED_LIBS), true)
  ifeq ($(STATIC_LIBS), true)
    LIBRARIES = $(LIBPRE)cruft.$(LIBEXT) $(SHLPRE)cruft.$(SHLEXT_VER)
  else
    LIBRARIES = $(SHLPRE)cruft.$(SHLEXT_VER)
  endif
else
  ifeq ($(STATIC_LIBS), true)
    LIBRARIES = $(LIBPRE)cruft.$(LIBEXT)
  else
    LIBRARIES =
  endif
endif

$(CRUFT_DEFS): $(SUBDIRS)

cruft.def: $(CRUFT_DEFS)
	echo "EXPORTS" > $@
	cat $(CRUFT_DEFS) >> $@

libraries: cruft.def
	$(MAKE) $(LIBRARIES)
.PHONY: libraries

$(LIBPRE)cruft.$(LIBEXT): $(CRUFT_OBJ)
	rm -f $@
	$(AR) $(ARFLAGS) $@ $^
	$(RANLIB) $@

$(SHLPRE)cruft.$(SHLEXT_VER): $(SHLPRE)cruft.$(SHLEXT)
	rm -f $@
	$(LN_S) $< $@

$(SHLPRE)cruft.$(SHLEXT): $(CRUFT_PICOBJ)
	rm -f $@
	$(SH_LD) $(SH_LDFLAGS) $(SONAME_FLAGS) -o $@ $^ $(LINK_DEPS)

$(CRUFT_OBJ):

check: all
.PHONY: check

install install-strip uninstall::
	@$(subdir-for-command)

clean mostlyclean distclean maintainer-clean::
	@$(foreach d, $(CLEAN_SUBDIRS), $(do-subdir-for-command))

install::
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(octlibdir)
	if $(STATIC_LIBS); then \
	  rm -f $(DESTDIR)$(octlibdir)/$(LIBPRE)cruft.$(LIBEXT) ; \
	  $(INSTALL_DATA) $(LIBPRE)cruft.$(LIBEXT) \
	    $(DESTDIR)$(octlibdir)/$(LIBPRE)cruft.$(LIBEXT) ; \
	  $(RANLIB) $(DESTDIR)$(octlibdir)/$(LIBPRE)cruft.$(LIBEXT) ; \
	fi
	if $(SHARED_LIBS); then \
	  rm -f $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)cruft.$(SHLLIB_VER); \
	  $(INSTALL) \
	    $(SHLLIBPRE)cruft.$(SHLLIB) $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)cruft.$(SHLLIB_VER); \
	  rm -f $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)cruft.$(SHLLIB); \
	  (cd $(DESTDIR)$(octlibdir); \
	  $(LN_S) $(SHLLIBPRE)cruft.$(SHLLIB_VER) $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)cruft.$(SHLLIB)); \
	  if  test x$(SHLBIN) != x ; then \
	    rm -f $(DESTDIR)$(bindir)/$(SHLBINPRE)cruft.$(SHLBIN); \
	    $(INSTALL_PROGRAM) \
	      $(SHLBINPRE)cruft.$(SHLBIN) $(DESTDIR)$(bindir)/$(SHLBINPRE)cruft.$(SHLBIN); \
	  fi; \
	fi

install-strip::
	$(MAKE) INSTALL_PROGRAM="$(INSTALL_PROGRAM) -s" install

uninstall::
	rm -f $(DESTDIR)$(octlibdir)/$(LIBPRE)cruft.$(LIBEXT)
	rm -f $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)cruft.$(SHLLIB)
	rm -f $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)cruft.$(SHLLIB_VER)
	if test x$(SHLBIN) != x; then \
	  rm -f $(DESTDIR)$(bindir)/$(SHLBINPRE)cruft.$(SHLBIN); \
	  rm -f $(DESTDIR)$(bindir)/$(SHLBINPRE)cruft.$(SHLBIN_VER); \
	fi

tags TAGS:: $(SOURCES)
	$(SUBDIR_FOR_COMMAND)

tags::
	ctags $(SOURCES)

TAGS:: $(SOURCES)
	etags $(SOURCES)

clean mostlyclean distclean maintainer-clean::
	rm -f $(LIBPRE)cruft.$(LIBEXT)
	rm -f $(SHLPRE)cruft.$(SHLEXT_VER) $(SHLPRE)cruft.$(SHLEXT)
	rm -f $(SHLBINPRE)cruft.$(SHLBIN_VER) $(SHLBINPRE)cruft.$(SHLBIN)
	rm -f $(CRUFT_DEFS) cruft.def mkf77def

distclean maintainer-clean::
	rm -f Makefile Makerules so_locations

maintainer-clean::
	rm -f tags TAGS

dist:
	for dir in $(DISTSUBDIRS); do mkdir ../`cat ../.fname`/libcruft/$$dir; $(MAKE) -C $$dir $@; done
	ln $(addprefix $(srcdir)/, $(DISTFILES)) ../`cat ../.fname`/libcruft
.PHONY: dist

.NOTPARALLEL:

=== liboctave/Makefile ===
# Makefile for octave's liboctave directory
#
# Copyright (C) 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001,
#               2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ..

srcdir = .
top_srcdir = ..


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

DLL_CDEFS = 
DLL_CXXDEFS = 

LINK_DEPS = \
  -L../libcruft -L. $(RLD_FLAG) \
  $(LIBCRUFT) $(CHOLMOD_LIBS) $(UMFPACK_LIBS)  $(AMD_LIBS) \
  $(CAMD_LIBS) $(COLAMD_LIBS) $(CCOLAMD_LIBS) $(CXSPARSE_LIBS) \
  $(ARPACK_LIBS) $(QRUPDATE_LIBS) $(BLAS_LIBS) $(FFTW_LIBS) $(LIBREADLINE) $(LIBGLOB) $(REGEX_LIBS) $(LIBS) $(FLIBS)

MATRIX_INC := Array.h Array2.h Array3.h ArrayN.h DiagArray2.h \
	Array-util.h MArray-decl.h MArray-defs.h \
	MArray.h MArray2.h MDiagArray2.h Matrix.h MArrayN.h \
	base-lu.h base-aepbal.h dim-vector.h mx-base.h mx-op-decl.h \
	mx-op-defs.h mx-defs.h mx-ext.h CColVector.h CDiagMatrix.h \
	CMatrix.h CNDArray.h CRowVector.h CmplxAEPBAL.h CmplxCHOL.h \
	CmplxGEPBAL.h CmplxHESS.h CmplxLU.h CmplxQR.h CmplxQRP.h \
	CmplxSCHUR.h CmplxSVD.h EIG.h fEIG.h boolMatrix.h boolNDArray.h \
	chMatrix.h chNDArray.h dColVector.h dDiagMatrix.h dMatrix.h \
	dNDArray.h dRowVector.h dbleAEPBAL.h dbleCHOL.h DET.h \
	dbleGEPBAL.h dbleHESS.h dbleLU.h dbleQR.h dbleQRP.h dbleSCHUR.h \
	dbleSVD.h boolSparse.h CSparse.h dSparse.h MSparse-defs.h MSparse.h \
	Sparse.h sparse-base-lu.h SparseCmplxLU.h SparsedbleLU.h \
	sparse-base-chol.h SparseCmplxCHOL.h SparsedbleCHOL.h \
	SparseCmplxQR.h SparseQR.h Sparse-op-defs.h Sparse-diag-op-defs.h \
	Sparse-perm-op-defs.h MatrixType.h PermMatrix.h \
	int8NDArray.h uint8NDArray.h int16NDArray.h uint16NDArray.h \
	int32NDArray.h uint32NDArray.h int64NDArray.h uint64NDArray.h \
	intNDArray.h \
	fCColVector.h fCRowVector.h fCDiagMatrix.h fCMatrix.h fCNDArray.h \
	fColVector.h fRowVector.h fDiagMatrix.h fMatrix.h fNDArray.h \
	fCmplxAEPBAL.h fCmplxGEPBAL.h fCmplxHESS.h fCmplxCHOL.h \
	fCmplxLU.h fCmplxSCHUR.h fCmplxSVD.h fCmplxQR.h \
	fCmplxQRP.h floatAEPBAL.h \
	floatCHOL.h floatGEPBAL.h floatHESS.h floatLU.h \
	floatSCHUR.h floatSVD.h floatQR.h floatQRP.h

MX_OP_INC := $(shell $(AWK) -f $(srcdir)/mk-ops.awk prefix=mx list_h_files=1 $(srcdir)/mx-ops)

VX_OP_INC := $(shell $(AWK) -f $(srcdir)/mk-ops.awk prefix=vx list_h_files=1 $(srcdir)/vx-ops)

SPARSE_MX_OP_INC := $(shell $(AWK) -f $(srcdir)/sparse-mk-ops.awk prefix=smx list_h_files=1 $(srcdir)/sparse-mx-ops)

OPT_BASE := $(addsuffix -opts, DASPK DASRT DASSL LSODE Quad)
OPT_IN := $(addsuffix .in, $(OPT_BASE))
OPT_INC := $(addsuffix .h, $(OPT_BASE))

INCLUDES := CollocWt.h DAE.h DAEFunc.h DAERT.h \
	DAERTFunc.h DASPK.h DASRT.h DASSL.h \
	LSODE.h \
	ODE.h ODEFunc.h ODES.h ODESFunc.h \
	Quad.h Range.h base-dae.h \
	base-de.h base-min.h byte-swap.h cmd-edit.h cmd-hist.h \
	data-conv.h dir-ops.h file-ops.h file-stat.h functor.h getopt.h \
	glob-match.h idx-vector.h kpse-xfns.h \
	lo-ieee.h lo-mappers.h lo-math.h lo-specfun.h lo-sysdep.h \
	lo-traits.h lo-utils.h mach-info.h md5.h oct-alloc.h oct-cmplx.h \
	oct-env.h oct-fftw.h oct-getopt.h oct-group.h oct-inttypes.h \
	oct-locbuf.h oct-md5.h oct-mutex.h oct-norm.h \
        oct-passwd.h oct-rand.h oct-rl-edit.h oct-rl-hist.h oct-shlib.h \
        oct-sort.h oct-spparms.h oct-syscalls.h oct-sparse.h oct-time.h \
        oct-uname.h pathlen.h pathsearch.h prog-args.h \
	randgamma.h randmtzig.h randpoisson.h regex-match.h \
	sparse-sort.h statdefs.h str-vec.h \
	sparse-util.h sun-utils.h sysdir.h systime.h syswait.h \
	$(MATRIX_INC)

BUILT_INCLUDES := oct-types.h mx-ops.h \
	$(OPT_INC) \
	$(MX_OP_INC) \
	$(VX_OP_INC) \
	$(SPARSE_MX_OP_INC)

TEMPLATE_SRC := Array.cc ArrayN.cc eigs-base.cc DiagArray2.cc \
	MArray.cc MArray2.cc MArrayN.cc MDiagArray2.cc \
	base-lu.cc oct-sort.cc sparse-base-lu.cc \
	sparse-base-chol.cc sparse-dmsolve.cc

TI_SRC := Array-C.cc Array-b.cc Array-ch.cc Array-i.cc Array-d.cc \
	Array-f.cc Array-fC.cc Array-s.cc Array-str.cc Array-voidp.cc \
	Array-idx-vec.cc MArray-C.cc MArray-ch.cc MArray-i.cc MArray-d.cc \
	MArray-f.cc MArray-fC.cc MArray-s.cc MSparse-C.cc MSparse-d.cc \
	Sparse-C.cc Sparse-b.cc Sparse-d.cc oct-inttypes.cc

MATRIX_SRC := Array-util.cc CColVector.cc \
	CDiagMatrix.cc CMatrix.cc CNDArray.cc CRowVector.cc \
	CmplxAEPBAL.cc CmplxCHOL.cc CmplxGEPBAL.cc CmplxHESS.cc \
	CmplxLU.cc CmplxQR.cc CmplxQRP.cc CmplxSCHUR.cc CmplxSVD.cc \
	EIG.cc fEIG.cc boolMatrix.cc boolNDArray.cc chMatrix.cc \
	chNDArray.cc dColVector.cc dDiagMatrix.cc dMatrix.cc \
	dNDArray.cc dRowVector.cc dbleAEPBAL.cc dbleCHOL.cc \
	dbleGEPBAL.cc dbleHESS.cc dbleLU.cc dbleQR.cc dbleQRP.cc \
	dbleSCHUR.cc dbleSVD.cc boolSparse.cc CSparse.cc dSparse.cc \
	MSparse.cc Sparse.cc SparseCmplxLU.cc SparsedbleLU.cc \
	SparseCmplxCHOL.cc SparsedbleCHOL.cc \
	SparseCmplxQR.cc SparseQR.cc MatrixType.cc PermMatrix.cc \
	int8NDArray.cc uint8NDArray.cc int16NDArray.cc uint16NDArray.cc \
	int32NDArray.cc uint32NDArray.cc int64NDArray.cc uint64NDArray.cc \
	fCColVector.cc fCRowVector.cc fCDiagMatrix.cc fCMatrix.cc fCNDArray.cc \
	fColVector.cc fRowVector.cc fDiagMatrix.cc fMatrix.cc fNDArray.cc \
	fCmplxAEPBAL.cc fCmplxCHOL.cc fCmplxGEPBAL.cc \
	fCmplxHESS.cc fCmplxLU.cc fCmplxSCHUR.cc fCmplxSVD.cc fCmplxQR.cc \
	fCmplxQRP.cc floatAEPBAL.cc floatCHOL.cc \
	floatGEPBAL.cc floatHESS.cc floatLU.cc \
	floatSCHUR.cc floatSVD.cc floatQR.cc floatQRP.cc

MX_OP_SRC := $(shell $(AWK) -f $(srcdir)/mk-ops.awk prefix=mx list_cc_files=1 $(srcdir)/mx-ops)

VX_OP_SRC := $(shell $(AWK) -f $(srcdir)/mk-ops.awk prefix=vx list_cc_files=1 $(srcdir)/vx-ops)

SPARSE_MX_OP_SRC := $(shell $(AWK) -f $(srcdir)/sparse-mk-ops.awk prefix=smx list_cc_files=1 $(srcdir)/sparse-mx-ops)

LIBOCTAVE_CXX_SOURCES := oct-locbuf.cc CollocWt.cc DASPK.cc DASRT.cc \
	DASSL.cc LSODE.cc ODES.cc \
	Quad.cc Range.cc data-conv.cc dir-ops.cc \
	file-ops.cc file-stat.cc glob-match.cc idx-vector.cc \
	lo-ieee.cc lo-mappers.cc lo-specfun.cc lo-sysdep.cc \
	lo-utils.cc mach-info.cc oct-alloc.cc oct-env.cc \
	oct-fftw.cc oct-group.cc oct-mutex.cc oct-md5.cc \
	oct-norm.cc oct-passwd.cc oct-rand.cc \
	oct-shlib.cc oct-spparms.cc oct-syscalls.cc oct-time.cc oct-uname.cc \
	prog-args.cc regex-match.cc \
	sparse-sort.cc sparse-util.cc str-vec.cc \
	$(TI_SRC) \
	$(MATRIX_SRC)

BUILT_LIBOCTAVE_CXX_SOURCES := \
	$(MX_OP_SRC) \
	$(VX_OP_SRC) \
	$(SPARSE_MX_OP_SRC)

LIBOCTAVE_C_SOURCES := f2c-main.c filemode.c getopt.c getopt1.c \
	lo-cieee.c lo-cutils.c md5.c mkdir.c oct-getopt.c \
	randgamma.c randmtzig.c randpoisson.c rename.c \
	rmdir.c strftime.c strptime.c strcasecmp.c strncase.c \
	tempname.c tempnam.c

LIBOCTAVE_SOURCES := $(LIBOCTAVE_CXX_SOURCES) $(BUILT_LIBOCTAVE_CXX_SOURCES) \
	$(LIBOCTAVE_C_SOURCES)

LIBOCT_READLINE_CXX_SOURCES := cmd-edit.cc cmd-hist.cc

LIBOCT_READLINE_C_SOURCES := oct-rl-edit.c oct-rl-hist.c

LIBOCT_READLINE_SOURCES := $(LIBOCT_READLINE_CXX_SOURCES) $(LIBOCT_READLINE_C_SOURCES)

LIBOCT_PATHSEARCH_CXX_SOURCES := pathsearch.cc

LIBOCT_PATHSEARCH_C_SOURCES := kpse-xfns.c

LIBOCT_PATHSEARCH_SOURCES := \
	$(LIBOCT_PATHSEARCH_C_SOURCES) $(LIBOCT_PATHSEARCH_CXX_SOURCES)

SOURCES := \
	$(LIBOCTAVE_SOURCES) \
	$(LIBOCT_READLINE_SOURCES) \
	$(LIBOCT_PATHSEARCH_SOURCES)

EXTRAS := mx-inlines.cc kpse.cc intNDArray.cc

INCLUDES_FOR_INSTALL := $(INCLUDES) $(BUILT_INCLUDES) $(TEMPLATE_SRC) $(EXTRAS)

DISTFILES := $(addprefix $(srcdir)/, Makefile.in ChangeLog mk-ops.awk \
	mx-ops vx-ops sparse-mk-ops.awk sparse-mx-ops oct-types.h.in \
	$(TEMPLATE_SRC) \
	$(LIBOCTAVE_CXX_SOURCES) \
	$(LIBOCT_READLINE_SOURCES) \
	$(LIBOCT_PATHSEARCH_SOURCES) \
	$(LIBOCTAVE_C_SOURCES) \
	$(INCLUDES) $(EXTRAS) $(OPT_IN)) \
	$(BUILT_LIBOCTAVE_CXX_SOURCES) $(BUILT_INCLUDES)

MAKEDEPS_1 := $(patsubst %.cc, %.d, $(SOURCES))
MAKEDEPS := $(patsubst %.c, %.d, $(MAKEDEPS_1))

LIBOCTAVE_OBJECTS := \
	$(LIBOCTAVE_CXX_SOURCES:.cc=.o) \
	$(BUILT_LIBOCTAVE_CXX_SOURCES:.cc=.o) \
	$(LIBOCTAVE_C_SOURCES:.c=.o) \
	$(LIBOCT_READLINE_CXX_SOURCES:.cc=.o) \
	$(LIBOCT_READLINE_C_SOURCES:.c=.o) \
	$(LIBOCT_PATHSEARCH_CXX_SOURCES:.cc=.o) \
	$(LIBOCT_PATHSEARCH_C_SOURCES:.c=.o)

ifeq ($(SHARED_LIBS), true)
  ifdef CXXPICFLAG
    LIBOCTAVE_PICOBJ := $(addprefix pic/, $(LIBOCTAVE_OBJECTS))
  else
    LIBOCTAVE_PICOBJ := $(LIBOCTAVE_OBJECTS)
  endif
endif

all: libraries
.PHONY: all

objects: $(LIBOCTAVE_OBJECTS)

stmp-pic: pic
	@if [ -f stmp-pic ]; then \
	  true; \
	else \
	  echo "touch stmp-pic"; \
	  touch stmp-pic; \
	fi

pic:
	@if [ -d pic ]; then \
	  true; \
	else \
	  echo "mkdir pic"; \
	  mkdir pic; \
	fi

PREREQ := $(OPT_INC) $(VX_OP_INC) $(VX_OP_SRC) \
	$(MX_OP_INC) $(MX_OP_SRC) mx-ops.h \
	$(SPARSE_MX_OP_INC) $(SPARSE_MX_OP_SRC)

ifeq ($(SHARED_LIBS), true)
  ifeq ($(STATIC_LIBS), true)
    LIBRARIES = $(LIBPRE)octave.$(LIBEXT) $(SHLPRE)octave.$(SHLEXT_VER)
  else
    LIBRARIES = $(SHLPRE)octave.$(SHLEXT_VER)
  endif
else
  ifeq ($(STATIC_LIBS), true)
    LIBRARIES = $(LIBPRE)octave.$(LIBEXT)
  else
    LIBRARIES =
  endif
endif

libraries: $(LIBRARIES)
.PHONY: libraries

$(LIBPRE)octave.$(LIBEXT): $(LIBOCTAVE_OBJECTS)
	rm -f $@
	$(TEMPLATE_AR) $(TEMPLATE_ARFLAGS) $@ $(LIBOCTAVE_OBJECTS)
	$(RANLIB) $@

$(SHLPRE)octave.$(SHLEXT_VER): $(SHLPRE)octave.$(SHLEXT)
	rm -f $@
	$(LN_S) $< $@

$(SHLPRE)octave.$(SHLEXT): $(LIBOCTAVE_PICOBJ)
	rm -f $@
	$(SH_LD) $(SH_LDFLAGS) $(SONAME_FLAGS) -o $@ \
	$(LIBOCTAVE_PICOBJ) $(LINK_DEPS)

$(LIBOCTAVE_PICOBJ): stmp-pic

ifndef omit_deps
$(MAKEDEPS): $(PREREQ)
endif

check: all
.PHONY: check

install: install-lib install-inc
.PHONY: install

install-strip:
	$(MAKE) INSTALL_PROGRAM="$(INSTALL_PROGRAM) -s" install
.PHONY: install-strip

install-lib:
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(octlibdir)
	if $(STATIC_LIBS); then \
	  rm -f $(DESTDIR)$(octlibdir)/$(LIBPRE)octave.$(LIBEXT); \
	  $(INSTALL_DATA) $(LIBPRE)octave.$(LIBEXT) \
	    $(DESTDIR)$(octlibdir)/$(LIBPRE)octave.$(LIBEXT); \
	  $(RANLIB) $(DESTDIR)$(octlibdir)/$(LIBPRE)octave.$(LIBEXT); \
	fi
	if $(SHARED_LIBS); then \
	  rm -f $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)octave.$(SHLLIB_VER); \
	  $(INSTALL) \
	    $(SHLLIBPRE)octave.$(SHLLIB) $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)octave.$(SHLLIB_VER); \
	  rm -f $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)octave.$(SHLLIB); \
	  (cd $(DESTDIR)$(octlibdir) ; $(LN_S) $(SHLLIBPRE)octave.$(SHLLIB_VER) $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)octave.$(SHLLIB)); \
	  if  test x$(SHLBIN) != x ; then \
	    rm -f $(DESTDIR)$(bindir)/$(SHLBINPRE)octave.$(SHLBIN); \
	    $(INSTALL_PROGRAM) \
	      $(SHLBINPRE)octave.$(SHLBIN) $(DESTDIR)$(bindir)/$(SHLBINPRE)octave.$(SHLBIN); \
	  fi; \
	fi
.PHONY: install-lib

install-inc:
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(octincludedir)/octave
	for f in $(INCLUDES_FOR_INSTALL); do \
	  rm -f $(DESTDIR)$(octincludedir)/octave/$$f; \
	  if [ -f $$f ]; then \
	    $(INSTALL_DATA) $$f $(DESTDIR)$(octincludedir)/octave/$$f; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(octincludedir)/octave/$$f; \
	  fi ; \
	done
.PHONY: install-inc

uninstall:
	rm -f $(DESTDIR)$(octlibdir)/$(LIBPRE)octave.$(LIBEXT)
	rm -f $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)octave.$(SHLLIB)
	rm -f $(DESTDIR)$(octlibdir)/$(SHLLIBPRE)octave.$(SHLLIB_VER)
	if test x$(SHLBIN) != x; then \
	  rm -f $(DESTDIR)$(bindir)/$(SHLBINPRE)octave.$(SHLBIN); \

=== scripts/Makefile ===
# Makefile for octave's scripts directory
#
# Copyright (C) 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2002,
#               2003, 2004, 2005, 2006, 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ..

script_sub_dir = .

srcdir = .
top_srcdir = .


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SOURCES =

ALL_M_FILES1 := $(shell find $(srcdir) -name '*.m' -print)
ALL_M_FILES := $(patsubst $(srcdir)/%, %, $(ALL_M_FILES1))

DISTFILES = $(addprefix $(srcdir)/, Makefile.in ChangeLog $(SOURCES) \
	configure.in configure mkinstalldirs mkdoc mkpkgadd gethelp.cc \
	skip-autoheader move-if-change) DOCSTRINGS

SUBDIRS = audio deprecated elfun general geometry help image io \
	linear-algebra miscellaneous optimization path pkg plot polynomial \
	set signal sparse specfun special-matrix startup \
	statistics strings testfun time

DISTSUBDIRS = $(SUBDIRS)

FCN_FILES = # $(wildcard $(srcdir)/*.m)
FCN_FILES_NO_DIR = # $(notdir $(FCN_FILES))

CONFIG_FILES =  Makefile audio/Makefile deprecated/Makefile elfun/Makefile general/Makefile geometry/Makefile help/Makefile image/Makefile io/Makefile linear-algebra/Makefile miscellaneous/Makefile optimization/Makefile path/Makefile pkg/Makefile plot/Makefile polynomial/Makefile set/Makefile signal/Makefile sparse/Makefile specfun/Makefile special-matrix/Makefile startup/Makefile statistics/Makefile statistics/base/Makefile statistics/distributions/Makefile statistics/models/Makefile statistics/tests/Makefile strings/Makefile time/Makefile testfun/Makefile

all: $(SUBDIRS) DOCSTRINGS
.PHONY: all

configfiles: $(CONFIG_FILES)
.PHONY: configfiles

$(CONFIG_FILES): %: %.in config.status
	./config.status $@

config.status: configure
	./config.status --recheck

configure: configure.in
	if [ ! -f skip-autoconf ]; then autoconf --force; fi
	if [ ! -f skip-autoheader ]; then autoheader --force; fi

$(SUBDIRS):
	$(MAKE) -C $@ all
.PHONY: $(SUBDIRS)

DOCSTRINGS: gethelp$(BUILD_EXEEXT) mkdoc $(ALL_M_FILES)
	$(srcdir)/mkdoc $(srcdir) > $@.t
	mv $@.t $@

gethelp$(BUILD_EXEEXT): gethelp.cc
	$(BUILD_CXX) $(BUILD_CXXFLAGS) -o $@ $^ $(BUILD_LDFLAGS)

install install-strip uninstall clean mostlyclean distclean maintainer-clean::
	@$(subdir-for-command)
.PHONY: install install-strip uninstall
.PHONY: clean mostlyclean distclean maintainer-clean

tags TAGS:: $(SOURCES)
	$(subdir-for-command)

tags::
	ctags $(SOURCES)

TAGS:: $(SOURCES)
	etags $(SOURCES)

clean distclean maintainer-clean::
	rm -f gethelp$(BUILD_EXEEXT)

distclean maintainer-clean::
	rm -f tags TAGS Makefile config.log config.status DOCSTRINGS
	rm -rf autom4te.cache

maintainer-clean::
	rm -f configure

dist:
	ln $(DISTFILES) ../`cat ../.fname`/scripts
	for dir in $(DISTSUBDIRS); do mkdir ../`cat ../.fname`/scripts/$$dir; $(MAKE) -C $$dir $@; done
.PHONY: dist

check-m-sources:
	@$(subdir-for-command)
.PHONY: check-m-sources

=== doc/liboctave/Makefile ===
# Makefile for octave's doc/liboctave directory
#
# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
#               2005, 2006, 2007 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SOURCES =

MAIN_TEXINFO = liboctave.texi

SUB_TEXINFO = \
	array.texi bugs.texi cp-idx.texi dae.texi diffeq.texi \
	error.texi factor.texi fn-idx.texi install.texi intro.texi \
	matvec.texi nleqn.texi nlfunc.texi ode.texi \
	optim.texi preface.texi quad.texi range.texi

TEXINFO_SOURCE = $(MAIN_TEXINFO) $(SUB_TEXINFO)

TEXINFO = $(TEXINFO_SOURCE) ../conf.texi

FORMATTED = liboctave.dvi liboctave.ps liboctave.pdf liboctave.info

DISTFILES = $(addprefix $(srcdir)/, Makefile.in gpl.texi $(TEXINFO_SOURCE)) \
	 $(FORMATTED)

DISTDIRS = HTML

SPELL = $(patsubst %.texi, %.spell, $(TEXINFO))

%.spell : %.texi
	rm -f $@
	$(SED) -e 's/@@/ at /g' -e 's/@[a-zA-Z]*//g' $< | spell > $@.tmp
	mv $@.tmp $@

all: liboctave.info liboctave.dvi liboctave.ps liboctave.pdf HTML/index.html
.PHONY: all

liboctave.info: $(TEXINFO)
	-$(MAKEINFO) -I.. -I$(srcdir) -I$(srcdir)/.. $<

liboctave.dvi: $(TEXINFO)
	-TEXINPUTS="..$(sepchar)$(srcdir)$(sepchar)$(srcdir)/..$(sepchar)$(TEXINPUTS)$(sepchar)" \
	  $(TEXI2DVI) $<

liboctave.ps: liboctave.dvi
	-dvips -o $@ $<

liboctave.pdf: $(TEXINFO)
	-TEXINPUTS="..$(sepchar)$(srcdir)$(sepchar)$(srcdir)/..$(sepchar)$(TEXINPUTS)$(sepchar)" \
	  $(TEXI2PDF) $<

HTML/index.html: $(TEXINFO)
	-$(MAKEINFO) --html --ifinfo --output=HTML -I.. -I$(srcdir) -I$(srcdir)/.. $<

check:
.PHONY: check

install install-strip: all
.PHONY: install install-strip

uninstall:
	rm -f $(DESTDIR)$(infodir)/liboctave.info*
.PHONY: uninstall

tags: $(SOURCES)
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

spell: $(SPELL)
.PHONY: spell

mostlyclean clean:
	rm -f liboctave.cp liboctave.fn liboctave.pg liboctave.tp \
	liboctave.vr liboctave.ky liboctave.op liboctave.vrs \
	liboctave.kys liboctave.ops liboctave.cps liboctave.fns \
	liboctave.pgs liboctave.tps liboctave.aux liboctave.log \
	liboctave.toc
.PHONY: mostlyclean clean

distclean: clean
	rm -f Makefile
.PHONY: distclean

maintainer-clean: distclean
	rm -f tags TAGS liboctave.info liboctave.info-*
	rm -f liboctave.dvi liboctave.ps liboctave.pdf
	rm -rf HTML
.PHONY: maintainer-clean

dist: all
	ln $(DISTFILES) ../../`cat ../../.fname`/doc/liboctave
	for dir in $(DISTDIRS); do \
	  mkdir ../../`cat ../../.fname`/doc/liboctave/$$dir; \
	  ln ../../doc/liboctave/$$dir/* ../../`cat ../../.fname`/doc/liboctave/$$dir; \
	done
.PHONY: dist

=== doc/refcard/Makefile ===
# Makefile for octave's doc/refcard directory
#
# Copyright (C) 1996, 1997, 2003, 2004, 2005, 2007 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

TEX := refcard.tex refcard-a4.tex refcard-legal.tex refcard-letter.tex 

FORMATTED := refcard-a4.dvi refcard-a4.ps refcard-a4.pdf \
	refcard-legal.dvi refcard-legal.ps refcard-legal.pdf \
	refcard-letter.dvi refcard-letter.ps refcard-letter.pdf

DISTFILES := $(addprefix $(srcdir)/, Makefile.in $(TEX)) $(FORMATTED)

all: $(FORMATTED)

refcard-a4.dvi: refcard-a4.tex refcard.tex
	-TEXINPUTS="$(srcdir):$(TEXINPUTS):" tex $<

refcard-a4.ps: refcard-a4.dvi
	-dvips -T 297mm,210mm -o $@ $<

refcard-a4.pdf: refcard-a4.tex refcard.tex
	-TEXINPUTS="$(srcdir):$(TEXINPUTS):" pdftex $<

refcard-legal.dvi: refcard-legal.tex refcard.tex
	-TEXINPUTS="$(srcdir):$(TEXINPUTS):" tex $<

refcard-legal.ps: refcard-legal.dvi
	-dvips -T 14in,8.5in -o $@ $<

refcard-legal.pdf: refcard-legal.tex refcard.tex
	-TEXINPUTS="$(srcdir):$(TEXINPUTS):" pdftex $<

refcard-letter.dvi: refcard-letter.tex refcard.tex
	-TEXINPUTS="$(srcdir):$(TEXINPUTS):" tex $<

refcard-letter.ps: refcard-letter.dvi
	-dvips -T 11in,8.5in -o $@ $<

refcard-letter.pdf: refcard-letter.tex refcard.tex
	-TEXINPUTS="$(srcdir):$(TEXINPUTS):" pdftex $<

check install install-strip uninstall:
.PHONY: check install install-strip uninstall

tags: $(SOURCES)
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

mostlyclean clean:
	rm -f refcard-*.log
.PHONY: mostlyclean clean

distclean: clean
	rm -f Makefile
.PHONY: distclean

maintainer-clean: distclean
	rm -f tags TAGS	refcard-*.dvi refcard-*.ps refcard-*.pdf
.PHONY: maintainer-clean

dist: all
	ln $(DISTFILES) ../../`cat ../../.fname`/doc/refcard
.PHONY: dist

=== examples/@FIRfilter/Makefile ===
# Makefile for octave's scripts/geometry directory
#
# Copyright (C) 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

script_sub_dir = @FIRfilter

srcdir = .
top_srcdir = ../..


include $(TOPDIR)/Makeconf

define do-mkpkgadd
$(top_srcdir)/scripts/mkpkgadd $(srcdir) > PKG_ADD.t
if [ -n "`cat PKG_ADD.t`" ]; then \
  mv PKG_ADD.t PKG_ADD ; \
else \
  rm -f PKG_ADD.t ; \
fi
endef

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SOURCES = \
  display.m \
  FIRfilter_aggregation.m \
  FIRfilter.m \
  subsasgn.m \
  subsref.m

DISTFILES = $(addprefix $(srcdir)/, Makefile.in $(SOURCES))

FCN_FILES = $(addprefix $(srcdir)/, $(SOURCES))
FCN_FILES_NO_DIR = $(notdir $(FCN_FILES))

all: PKG_ADD
.PHONY: all

install install-strip:
.PHONY: install install-strip

uninstall:
.PHONY: uninstall

clean:
.PHONY: clean

PKG_ADD: $(FCN_FILES)
	@echo "making PKG_ADD"
	@$(do-mkpkgadd)

tags: $(SOURCES)
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

mostlyclean: clean
.PHONY: mostlyclean

distclean: clean
	rm -f Makefile PKG_ADD
.PHONY: distclean

maintainer-clean: distclean
	rm -f tags TAGS
.PHONY: maintainer-clean

dist:
	ln $(DISTFILES) ../../`cat ../../.fname`/examples/$(script_sub_dir)
.PHONY: dist

check-m-sources:
	@$(do-check-m-sources)
.PHONY: check-m-sources

=== libcruft/amos/Makefile ===
# Makefile for octave's libcruft/amos directory
#
# Copyright (C) 1998, 2007, 2008 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES)

FSRC = cacai.f cacon.f cbesh.f cbesi.f cbesj.f cbesk.f cbesy.f cbinu.f \
  cbuni.f cbunk.f cunk1.f cunk2.f crati.f cshch.f cuni1.f \
  cuoik.f cairy.f cbiry.f ckscl.f cs1s2.f cuchk.f cuni2.f cwrsk.f \
  casyi.f cbknu.f cmlri.f cseri.f cunhj.f cunik.f dgamln.f gamln.f \
  xzabs.f xzexp.f xzlog.f xzsqrt.f zacai.f zacon.f \
  zairy.f zasyi.f zbesh.f zbesi.f zbesj.f zbesk.f zbesy.f zbinu.f \
  zbiry.f zbknu.f zbuni.f zbunk.f zdiv.f zkscl.f zmlri.f zmlt.f \
  zrati.f zs1s2.f zseri.f zshch.f zuchk.f zunhj.f zuni1.f zuni2.f \
  zunik.f zunk1.f zunk2.f zuoik.f zwrsk.f

include $(TOPDIR)/Makeconf

include ../Makerules

=== libcruft/daspk/Makefile ===
# Makefile for octave's libcruft/daspk directory
#
# Copyright (C) 2002, 2007 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES)

FSRC = datv.f dcnst0.f dcnstr.f ddasic.f ddasid.f ddasik.f ddaspk.f \
  ddstp.f ddwnrm.f dfnrmd.f dfnrmk.f dhels.f dheqr.f dinvwt.f \
  dlinsd.f dlinsk.f dmatd.f dnedd.f dnedk.f dnsd.f dnsid.f dnsik.f \
  dnsk.f dorth.f dslvd.f dslvk.f dspigm.f dyypnw.f

include $(TOPDIR)/Makeconf

include ../Makerules

=== libcruft/dassl/Makefile ===
# Makefile for octave's libcruft/dassl directory
#
# Copyright (C) 1993, 1994, 1995, 2007 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES)

FSRC = ddaini.f ddajac.f ddanrm.f ddaslv.f ddassl.f ddastp.f ddatrp.f ddawts.f

include $(TOPDIR)/Makeconf

include ../Makerules

=== libcruft/fftpack/Makefile ===
# Makefile for octave's libcruft/fftpack directory
#
# Copyright (C) 1993, 1994, 1995, 1997, 2007, 2008 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES) $(srcdir)/fftpack.doc

FSRC = cfftb.f cfftb1.f cfftf.f cfftf1.f cffti.f cffti1.f passb.f \
  passb2.f passb3.f passb4.f passb5.f passf.f passf2.f passf3.f \
  passf4.f passf5.f zfftb.f zfftb1.f zfftf.f zfftf1.f zffti.f zffti1.f \
  zpassb.f zpassb2.f zpassb3.f zpassb4.f zpassb5.f zpassf.f zpassf2.f \
  zpassf3.f zpassf4.f zpassf5.f

include $(TOPDIR)/Makeconf

include ../Makerules

=== libcruft/lapack-xtra/Makefile ===
# Makefile for octave's libcruft/lapack-xtra directory
#
# Copyright (C) 2000, 2007, 2008 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES)

FSRC = xclange.f xdlamch.f xdlange.f xilaenv.f xslamch.f xslange.f xzlange.f 

include $(TOPDIR)/Makeconf

include ../Makerules

=== debian/changelog ===
octave (3.2.3-maemo1) unstable; urgency=low

  * Fix unneeded runtime texinfo dep that was stopping installation

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 20 Nov 2010 10:00:00 +0000

=== debian/control ===
Source: octave
Section: usr/math
Priority: optional
XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
DM-Upload-Allowed: yes
Build-Depends: fort77, debhelper, autoconf, texinfo,
 libreadline-dev | libreadline6-dev | libreadline5-dev,
 libncurses5-dev, gperf, libsuitesparse-dev, liblapack-dev, libode-dev, libqhull-dev,
 libblas-dev, libfftw3-dev, texi2html,
 less, quilt, libpcre3-dev, flex, gawk, desktop-file-utils
Standards-Version: 3.8.2
Homepage: http://www.octave.org/

Package: octave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, octave-common (= ${source:Version})
Recommends: gnuplot, libatlas3gf-base
Suggests: octave-info,
 octave-headers (= ${binary:Version}),
Replaces: octave (<= 2.0.16-2)
Conflicts: octave (<= 2.0.16-2), octave2.9 (<< 1:3)
Provides: octave
Breaks: octave-ad (<< 1.0.4-2), octave-audio (<< 1.1.2-2),
 octave-bioinfo (<< 0.1.1-2), octave-combinatorics (<< 1.0.7-2),
 octave-communications (<< 1.0.8-2), octave-control (<< 1.0.7-2),
 octave-data-smoothing (<< 1.1.1-2), octave-econometrics (<< 1:1.0.7-3),
 octave-financial (<< 0.3.0-2), octave-fixed (<< 0.7.8-3),
 octave-ftp (<< 1.0.1-3), octave-ga (<< 0.9.4-2), octave-general (<< 1.0.7-2),
 octave-graceplot (<< 1.0.6-2), octave-gsl (<< 1.0.7-2),
 octave-ident (<< 1.0.6-2), octave-image (<< 1.0.8-2),
 octave-informationtheory (<< 0.1.6-2), octave-io (<< 1.0.7-2),
 octave-irsa (<< 1.0.6-2), octave-linear-algebra (<< 1.0.6-2),
 octave-miscellaneous (<< 1.0.7-2), octave-missing-functions (<< 1.0.1-2),
 octave-nan (<< 1.0.7-2), octave-nnet (<< 0.1.8-2),
 octave-octcdf (<< 1.0.11-2), octave-octgpr (<< 1.1.4-3),
 octave-odebvp (<< 1.0.5-2), octave-odepkg (<< 0.6.4-2),
 octave-optim (<< 1.0.4-2), octave-optiminterp (<< 0.3.2-1),
 octave-outliers (<< 0.13.8-2), octave-parallel (<< 1.0.7-2),
 octave-physicalconstants (<< 0.1.6-2), octave-plot (<< 1.0.6-2),
 octave-signal (<< 1.0.8-2), octave-sockets (<< 1.0.5-2),
 octave-specfun (<< 1.0.7-2), octave-splines (<< 1.0.6-2),
 octave-statistics (<< 1.0.7-1), octave-strings (<< 1.0.6-2),
 octave-struct (<< 1.0.6-2), octave-symbolic (<< 1.0.7-2),
 octave-time (<< 1.0.8-2), octave-tsa (<< 4.0.0-2), octave-vrml (<< 1.0.8-2),
 octave-zenity (<< 0.5.6-2)
Description: GNU Octave language for numerical computations (3.0 branch)
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave uses some of the best and most respected numerical libraries as
 balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
 ranlib, slatec-fn and villad. Octave can be dynamically extended with
 user-supplied C++ files.

Package: octave-headers
Architecture: any
Depends: octave (= ${binary:Version}), ${misc:Depends},
 libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev, 
 libhdf5-serial-dev (>= 1.6.5)
 | libhdf5-lam-dev (>= 1.6.5) | libhdf5-mpich-dev (>= 1.6.5) | libhdf5-openmpi-dev (>= 1.6.5),
 libblas-dev, liblapack-dev, libfftw3-dev, gfortran, gcc, g++, f2c [m68k]
Conflicts: octave-headers (<< 2.1), octave2.9-headers (<< 1:3)
Provides: octave-headers
Replaces: octave-headers
Description: header files for the GNU Octave language (3.0 branch)
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the include files needed to compile and link
 user-supplied code with GNU Octave. If you only write interpreted .m files,
 you do not need this package.
 .
 The package is architecture-specific as it contains machine-dependent
 compiler switches in the mkoctfile script.


Package: octave-dbg
Section: debug
Priority: extra
Architecture: any
Depends: octave (=${binary:Version}), ${misc:Depends}
Description: Debug symbols for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave uses some of the best and most respected numerical libraries as
 balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
 ranlib, slatec-fn and villad. Octave can be dynamically extended with
 user-supplied C++ files.
 .
 This package provides the debug symbols.

Package: octave-common
Depends: ${misc:Depends}
Section: devel
Priority: extra
Architecture: all
Description: architecture-independent files for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave uses some of the best and most respected numerical libraries as
 balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
 ranlib, slatec-fn and villad. Octave can be dynamically extended with
 user-supplied C++ files.
 .
 This package provides the architecture-independent files (Octave scripts
 and other helper files).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#F77 = f77 # not needed as it will be detected automatically
#LIBS = -lf2c



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# remove --without-blas once lapack is installed and working, then it will use those versions of lapack and blas
	./configure --prefix=/opt/octave/ --enable-readline --without-x FLIBS=/usr/lib/libf2c.a

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mbarcode.sgml > mbarcode.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/octave.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/octave


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
